repo/gentoo:master commit in: media-gfx/graphicsmagick/

"Sam James" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786705787.49c89f6dba48d380028b73ebc1bba4037fa5b881.sam@gentoo>
commit:     49c89f6dba48d380028b73ebc1bba4037fa5b881
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 11:09:28 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 11:09:47 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49c89f6d

media-gfx/graphicsmagick: add 1.3.48

Bug: https://bugs.gentoo.org/980840
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/graphicsmagick/Manifest                  |   2 +
 .../graphicsmagick/graphicsmagick-1.3.48.ebuild    | 168 +++++++++++++++++++++
 2 files changed, 170 insertions(+)

diff --git a/media-gfx/graphicsmagick/Manifest b/media-gfx/graphicsmagick/Manifest
index 01030ca94208..a14c6c11357d 100644
--- a/media-gfx/graphicsmagick/Manifest
+++ b/media-gfx/graphicsmagick/Manifest
@@ -2,3 +2,5 @@ DIST GraphicsMagick-1.3.46.tar.xz 5968736 BLAKE2B f3592c497e1d5c7032e1cc5b450e33
 DIST GraphicsMagick-1.3.46.tar.xz.asc 228 BLAKE2B 0d8326a34b0526a7bc65d4a1008ea00a5972576f937afd6e4c233da3f144faa67f705520f1fa1830d3d8a6d2a3699316eef5415fe4334b34d67abda7f20c003b SHA512 00d9fec0e82d786a315dbf13199acc532465c296da7da0b60203f2606e5952810ce9eacd0e32c34cbd7cf3ab852fd9932430160c7feb2136971e3ebb4e2d8184
 DIST GraphicsMagick-1.3.47.tar.xz 6075948 BLAKE2B cd7d927b2ff1f3da34b0112bc174e4a3b534a8f68b7aa555eb2aad8a2b50de4656bdea3aa01d91e9f1b1d673ea554b70cacc8718390a0e73ed15bbc44c7a879e SHA512 2a353555683f3d0fe5fdaf60d8fce3d6ccc5974b4184bc2140ddb426a833410355fa0bb53fbb5a81c5f1e905200e111a847634328a9f5e61dee9a88df3a42a00
 DIST GraphicsMagick-1.3.47.tar.xz.asc 228 BLAKE2B 562b8d11c6b7f8bc73159b1fdbbe6feea6f3e2f665617b99cf8072d3103195225e32c6607b0ee02cf860ae93c9e5233f0485590f9259c9d7be404747c6b5c350 SHA512 4d47790f71ecfdc543f307f3fa7e1347616d1d203cb53f818b2379fc096f81ef20ca6f81cfdcc0dc656a8122de7ece5d5ebe1efe7dc74433a2b0761bfbcab6c6
+DIST GraphicsMagick-1.3.48.tar.xz 6081828 BLAKE2B 7aef1e7a9763c125a74730dfa8f0701726236d390ef91396340e78d87bc757d256082f6179343e9b687ade949395b7ac10acab78f9d18f162f0806c46ff2cdfc SHA512 baf4f82794628a116b568c2932bb1bf7c36ba89d0cb51fdd0209ad655f05883ae711319e5cc43cce09642aa3fc4b711731be00393f757eeb038440e15cc4437d
+DIST GraphicsMagick-1.3.48.tar.xz.asc 228 BLAKE2B cbae1975d88f61d3848fdc64b48e44f05e9188bca055588b1ef5ee8c76d898ee9d40abb13165d1c648cef4c27fe561e2b143f3d2009a488a8c39b294f23acbca SHA512 4adac0cc812071b19cd6c706bbf1b884bc9833ea3b7dfc5e866d61c815855d824d0731ad186911239060d86ff8ddc4fe5947c476f262dd2682df4719c1c1fa88

diff --git a/media-gfx/graphicsmagick/graphicsmagick-1.3.48.ebuild b/media-gfx/graphicsmagick/graphicsmagick-1.3.48.ebuild
new file mode 100644
index 000000000000..ca61fb4c7642
--- /dev/null
+++ b/media-gfx/graphicsmagick/graphicsmagick-1.3.48.ebuild
@@ -0,0 +1,168 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+GENTOO_DEPEND_ON_PERL="no"
+inherit autotools toolchain-funcs perl-module
+
+MY_P=${P/graphicsm/GraphicsM}
+DESCRIPTION="Collection of tools and libraries for many image formats"
+HOMEPAGE="http://www.graphicsmagick.org/ https://foss.heptapod.net/graphicsmagick/graphicsmagick"
+
+if [[ ${PV} == 9999 ]] ; then
+	EHG_REPO_URI="https://foss.heptapod.net/${PN}/${PN}"
+	inherit mercurial
+else
+	VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/bobfriesenhahn.asc
+	inherit verify-sig
+
+	SRC_URI="https://downloads.sourceforge.net/project/${PN}/${PN}-history/$(ver_cut 1-2)/${MY_P}.tar.xz"
+	SRC_URI+=" verify-sig? ( https://downloads.sourceforge.net/project/${PN}/${PN}-history/$(ver_cut 1-2)/${MY_P}.tar.xz.asc )"
+	S="${WORKDIR}/${MY_P}"
+
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+
+	BDEPEND="verify-sig? ( sec-keys/openpgp-keys-bobfriesenhahn )"
+fi
+
+LICENSE="MIT"
+SLOT="0/${PV%.*}"
+IUSE="bzip2 +cxx debug dynamic-loading fpx heif imagemagick jbig jpeg jpeg2k jpegxl lcms lzma"
+IUSE+=" openmp perl ${GENTOO_PERL_USESTRING} postscript png q16 q32 static-libs tcmalloc tiff truetype"
+IUSE+=" webp wmf X zip zlib zstd"
+
+RDEPEND="
+	dev-libs/libltdl
+	dev-libs/libxml2:=
+	bzip2? ( app-arch/bzip2 )
+	fpx? ( media-libs/libfpx )
+	heif? ( >=media-libs/libheif-1.20:= )
+	imagemagick? ( !media-gfx/imagemagick )
+	jbig? ( media-libs/jbigkit )
+	jpeg? ( media-libs/libjpeg-turbo:= )
+	jpeg2k? ( media-libs/jasper:= )
+	jpegxl? ( media-libs/libjxl:= )
+	lcms? ( media-libs/lcms:2 )
+	lzma? ( app-arch/xz-utils )
+	perl? (
+		${GENTOO_PERL_DEPSTRING}
+		dev-lang/perl:=
+	)
+	postscript? ( app-text/ghostscript-gpl:= )
+	png? ( media-libs/libpng:= )
+	tcmalloc? ( dev-util/google-perftools:= )
+	tiff? ( media-libs/tiff:= )
+	truetype? (
+		media-fonts/urw-fonts
+		>=media-libs/freetype-2
+	)
+	webp? ( media-libs/libwebp:= )
+	wmf? ( media-libs/libwmf )
+	X? (
+		x11-libs/libSM
+		x11-libs/libX11
+		x11-libs/libXext
+	)
+	zip? ( dev-libs/libzip:= )
+	zlib? ( virtual/zlib:= )
+	zstd? ( app-arch/zstd:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND+=" virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.3.41-flags.patch
+	"${FILESDIR}"/${PN}-1.3.41-perl.patch
+)
+
+pkg_pretend() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+src_prepare() {
+	default
+
+	eautoreconf
+}
+
+src_configure() {
+	local depth=8
+
+	use q16 && depth=16
+	use q32 && depth=32
+
+	local myeconfargs=(
+		--enable-largefile
+		--enable-shared
+		$(use_enable static-libs static)
+		$(use_enable debug prof)
+		$(use_enable debug gcov)
+		$(use_enable imagemagick magick-compat)
+		$(use_enable openmp)
+		--with-threads
+		$(use_with dynamic-loading modules)
+		--with-quantum-depth=${depth}
+		--without-frozenpaths
+		$(use_with cxx magick-plus-plus)
+		$(use_with postscript gs)
+		$(use_with heif)
+		$(use_with jpegxl jxl)
+		$(use_with perl)
+		--with-perl-options=INSTALLDIRS=vendor
+		$(use_with bzip2 bzlib)
+		$(use_with fpx)
+		$(use_with jbig)
+		$(use_with webp)
+		$(use_with jpeg)
+		$(use_with jpeg2k jp2)
+		$(use_with lcms lcms2)
+		$(use_with lzma)
+		$(use_with png)
+		$(use_with tcmalloc)
+		$(use_with tiff)
+		--without-trio
+		$(use_with truetype ttf)
+		$(use_with wmf)
+		--with-fontpath="${EPREFIX}"/usr/share/fonts
+		--with-gs-font-dir="${EPREFIX}"/usr/share/fonts/urw-fonts
+		--with-windows-font-dir="${EPREFIX}"/usr/share/fonts/corefonts
+		--with-xml
+		$(use_with zip libzip)
+		$(use_with zlib)
+		$(use_with zstd)
+		$(use_with X x)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	default
+
+	use perl && emake perl-build
+}
+
+src_test() {
+	# Some perl tests fail when DISPLAY is set
+	unset DISPLAY
+
+	default
+}
+
+src_install() {
+	default
+
+	if use perl ; then
+		emake -C PerlMagick DESTDIR="${D}" install
+
+		find "${ED}" -type f -name perllocal.pod -exec rm -f {} + || die
+		find "${ED}" -depth -mindepth 1 -type d -empty -exec rm -rf {} + || die
+	fi
+
+	find "${ED}" -name '*.la' -exec sed -i -e "/^dependency_libs/s:=.*:='':" {} + || die
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.